package it.cavallium.strangedb.tests;

import it.cavallium.strangedb.annotations.DbPrimitiveField;
import it.cavallium.strangedb.annotations.DbPrimitiveType;
import it.cavallium.strangedb.EnhancedObject;
import it.cavallium.strangedb.database.IDatabaseTools;
import it.cavallium.strangedb.annotations.DbDataType;
import it.cavallium.strangedb.annotations.DbField;

import java.io.IOException;

public class OldClass extends EnhancedObject {

	@DbField(id = 0, type = DbDataType.OBJECT)
	public String field1;

	@DbPrimitiveField(id = 0, type = DbPrimitiveType.INTEGER)
	public int field2;

	@DbPrimitiveField(id = 2, type = DbPrimitiveType.INTEGER)
	public int field4;

	public OldClass() {

	}

	public OldClass(IDatabaseTools databaseTools) throws IOException {
		super(databaseTools);
	}
}
